import request from '@/utils/request'

const square =(data)=>{
  return request({ 
      url:`/pro-basic-square/listByPage?id=${data.id}&name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method:"get"
  })
}
const addSquare =(pairs)=>{
  return request({
      url:`/pro-basic-square/save`,
      method:"post",
      data: pairs
  })
}
const deleteSquare =(data)=>{
  return request({
      url:`/pro-basic-square/remove-Squares/${data.id}`,
      method:"delete",
  })
}

export default {
  square,
  addSquare,
  deleteSquare,
};
